Intel® Quark™ Microcontroller Software Interface 1.4.0 Intel® Quark™ Microcontroller BSP

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Structures
Here are the data structures with brief descriptions:

int_ss_i2c_reg_t | SS I2C Interrupt register map
int_ss_spi_reg_t | SS SPI Interrupt register map
mvic_reg_pad_t | MVIC register structure
pic_timer_reg_pad_t | PIC timer register structure
qm_ac_config_t | Analog Comparator configuration type
qm_adc_config_t | ADC configuration type
qm_adc_reg_t | ADC register map
qm_adc_xfer_t | ADC transfer type
qm_aonc_reg_t | Always-on Counter Controller register map
qm_aonpt_config_t | QM Always-on Periodic Timer configuration type
qm_dma_chan_reg_t | DMA channel register map
qm_dma_channel_config_t | DMA channel configuration structure
qm_dma_context_t | DMA context type
qm_dma_int_reg_t | DMA interrupt register map
qm_dma_misc_reg_t | DMA miscellaneous register map
qm_dma_multi_transfer_t | DMA multiblock transfer configuration structure
qm_dma_transfer_t | DMA single block transfer configuration structure
qm_flash_config_t | Flash configuration structure
qm_flash_context_t | Flash context type
qm_flash_reg_t | Flash register map
qm_fpr_config_t | Flash Protection Region configuration structure
qm_fpr_context_t | FPR context type
qm_gpio_context_t | GPIO context type
qm_gpio_port_config_t | GPIO port configuration type
qm_gpio_reg_t | GPIO register map
qm_i2c_config_t | I2C configuration type
qm_i2c_context_t | I2C context to be saved between sleep/resume
qm_i2c_reg_t | I2C register map
qm_i2c_transfer_t | I2C transfer type
qm_i2s_buffer_link | Ring buffer link definition
qm_i2s_channel_cfg_data_t | I2S controller configuration
qm_i2s_clock_cfg_data_t | I2S Clock Configuration
qm_interrupt_router_reg_t | Interrupt register map
qm_irq_context_t | SS IRQ context type
qm_lapic_reg_t | APIC register block type
qm_mailbox_reg_t | Mailbox register map
qm_mailbox_t | Mailbox register structure
qm_mbox_config_t | Mailbox Configuration Structure
qm_mbox_msg_t | Definition of the mailbox message
qm_mpr_config_t | SRAM Memory Protection Region configuration type
qm_mpr_context_t | MPR context type
qm_mpr_reg_t | Memory Protection Region register map
qm_mvic_reg_t | MVIC register map
qm_pic_timer_config_t | PIC timer configuration type
qm_pic_timer_context_t | PIC TIMER context type
qm_pic_timer_reg_t | PIC timer register map
qm_pwm_channel_t | PWM / Timer channel register map
qm_pwm_config_t | QM PWM / Timer configuration type
qm_pwm_context_t | PWM context type
qm_pwm_reg_t | PWM / Timer register map
qm_rtc_config_t | QM RTC configuration type
qm_rtc_reg_t | RTC register map
qm_scss_ccu_reg_t | System Core register map
qm_scss_cmp_reg_t | Comparator register map
qm_scss_gp_reg_t | General Purpose register map
qm_scss_info_reg_t | Information register map
qm_scss_mem_reg_t | Memory Control register map
qm_scss_peripheral_reg_t | Peripheral Registers register map
qm_scss_pmu_reg_t | Power Management register map
qm_scss_pmux_reg_t | Pin MUX register map
qm_scss_ss_reg_t | Sensor Subsystem register map
qm_spi_async_transfer_t | SPI aynchronous transfer type
qm_spi_context_t | SPI context type
qm_spi_reg_t | SPI register map
qm_spi_transfer_t | SPI synchronous transfer type
qm_ss_adc_config_t | SS ADC configuration type
qm_ss_adc_context_t | SS ADC context type
qm_ss_adc_xfer_t | SS ADC transfer type
qm_ss_gpio_context_t | SS GPIO context type
qm_ss_gpio_port_config_t | SS GPIO port configuration type
qm_ss_i2c_config_t | QM SS I2C configuration type
qm_ss_i2c_context_t | SS I2C context type
qm_ss_i2c_transfer_t | QM SS I2C transfer type
qm_ss_spi_async_transfer_t | SPI asynchronous transfer type
qm_ss_spi_config_t | SPI configuration type
qm_ss_spi_context_t | Sensor Subsystem SPI context type
qm_ss_spi_transfer_t | SPI synchronous transfer type
qm_ss_timer_config_t | Sensor Subsystem Timer Configuration Type
qm_uart_config_t | UART configuration structure type
qm_uart_context_t | UART context to be saved between sleep/resume
qm_uart_reg_t | UART register map
qm_uart_transfer_t | UART asynchronous transfer structure
qm_usb_ep_config_t | USB Endpoint Configuration
qm_usb_in_ep_reg_t | USB register map
qm_usb_out_ep_reg_t | OUT Endpoint Registers
qm_usb_reg_t | USB Register block type
qm_wdt_config_t | QM WDT configuration type
qm_wdt_reg_t | Watchdog timer register map